ru.bitel.bgbilling.kernel.script.common.bean

## Class EventScriptLink

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.common.model.IdTitle
    - - ru.bitel.bgbilling.kernel.script.common.bean.EventScriptLink

- All Implemented Interfaces:
    java.io.Serializable, Idable, ListItem

      public class EventScriptLink
      extends IdTitle

  Привязка функции скрипта поведения к динамическим Java-классам.
  Author:
    pechenie
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.model.IdTitle

      `title`

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventScriptLink()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getClassName()` Возвращает имя класса.
    `java.lang.String` | `getEventKey()` Возвращает код события.
    `int` | `getScriptId()` Возвращает код скрипта.
    `void` | `setClassName(java.lang.String className)` Устанавливает имя класса.
    `void` | `setEventKey(java.lang.String eventKey)` Устанавливает код события.
    `void` | `setScriptId(int scriptId)` Устанавливает код скрипта.

    - ### Methods inherited from class ru.bitel.common.model.IdTitle

      `getTitle, setTitle, toString`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface ru.bitel.common.model.ListItem

      `getId`

- - ### Constructor Detail

    - #### EventScriptLink

          public EventScriptLink()

  - ### Method Detail

    - #### getEventKey

          public java.lang.String getEventKey()

      Возвращает код события.
      Returns:

    - #### setEventKey

          public void setEventKey(java.lang.String eventKey)

      Устанавливает код события.
      Parameters:
        `eventId` -

    - #### getScriptId

          public int getScriptId()

      Возвращает код скрипта.
      Returns:

    - #### setScriptId

          public void setScriptId(int scriptId)

      Устанавливает код скрипта.
      Parameters:
        `scriptId` -

    - #### getClassName

          public java.lang.String getClassName()

      Возвращает имя класса.
      Returns:

    - #### setClassName

          public void setClassName(java.lang.String className)

      Устанавливает имя класса.
      Parameters:
        `className` -